<?php
//define('SF_ROOT_DIR', "C:\\wamp\\www\\santarosa");
define('SF_ROOT_DIR', "/home/credunion/public_html/carlin");


require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');


use_helper('UrlFunctions');
use_helper('UtilFunctions');


/*
Retorna el objeto 
*/
$noDomingos = 1;
//$idPrestamo = '85372';
$fechaDiaAbierto = '2019-10-11';

function obtenerPagos2($where='',$limit=''){
	$con = Conexion::getConexion();
    
	//Busco los pagos del prestamo
	$sql = "SELECT pa.IdPrestamo,pa.IdPago,pr.fechaVencimiento,pr.PeriodicidadPago,pa.MontoPago
			FROM cr_pago pa
			LEFT JOIN cr_prestamo pr on pa.idprestamo= pr.idprestamo
			LEFT JOIN cr_cliente cli ON cli.idcliente = pr.idcliente
			LEFT JOIN cr_mercado mer ON cli.idmercado = mer.idmercado
			LEFT JOIN cr_sucursal_mercado sucmer ON sucmer.idmercado = mer.idmercado
			LEFT JOIN cr_sucursal suc ON sucmer.idsucursal = suc.idsucursal
			WHERE 1 = 1 and calculado='-1'
			$where
			$limit
			";
      echo $sql;
     //exit;
    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
    
    $num_rows = mysql_num_rows($result);
    if($num_rows>0){
    	while ($o_valor = mysql_fetch_object($result)) {
      		$IdPrestamo = $o_valor->IdPrestamo;
      		$IdPago		= $o_valor->IdPago;
      		$fechaVencimiento = $o_valor->fechaVencimiento;
      		$PeriodicidadPago = $o_valor->PeriodicidadPago;
			$MontoPago 		  = $o_valor->MontoPago;
      		$a_prestamos[$IdPrestamo] = $fechaVencimiento."||".$PeriodicidadPago."||".$MontoPago;
    	}
    	
    }
    return $a_prestamos;
}

function obtenerPagos($where=''){
	$con = Conexion::getConexion();
      
	//Busco los pagos del prestamo
	$sql = "SELECT pr.IdPrestamo
			FROM cr_prestamo pr 
			WHERE 1= 1  and estado = 'P'
			$where
			";
     
    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
    
    $num_rows = mysql_num_rows($result);
    if($num_rows>0){
    	while ($o_valor = mysql_fetch_object($result)) {
      		$IdPrestamo = $o_valor->IdPrestamo;
      		$IdPago		= $o_valor->IdPago;
      		$a_prestamos[$IdPrestamo] = $IdPrestamo;
    	}
    	
    }
    return $a_prestamos;
}

//$a_prestamos = obtenerPagos("and fechaPago='2017-07-12'");
//$a_prestamos = obtenerPagos("and idprestamo in (126,120, 130,709)");
//$a_prestamos = obtenerPagos(" and pr.estado = 'P' ");
//$a_prestamos = obtenerPagos2();

$a_prestamos = obtenerPagos();
if(is_array($a_prestamos)){
	foreach ($a_prestamos as $key => $idPrestamo){
	// Agregado para ingreso de Prestamos
	procesoCalculoCronograma($idPrestamo,$noDomingos);
	}
}
exit;
foreach ($a_prestamos as $idPrestamo => $valor){
	// Agregado para ingreso de Pagos
	$a_valores = explode("||",$valor);
	$fechaVencimiento = $a_valores[0];
	$PeriodicidadPago = $a_valores[1];
	$MontoPago		  = $a_valores[2];
	
	/*if($MontoPago > 0){
		procesoCalculoPagoCuota($idPrestamo);
	}*/
	
	
	$numeroImpagos = conteoImpagosPrestamo($idPrestamo,$fechaDiaAbierto,$fechaVencimiento,$PeriodicidadPago);
	echo $idPrestamo." - ".$numeroImpagos."<br>";
	categorizarPrestamo($idPrestamo,$fechaDiaAbierto,$numeroImpagos);
	
}
exit('--***************--');

echo "<pre><br>";
print_r($a_prestamos);
echo "</pre><br>";
foreach ($a_prestamos as $key => $idPrestamo){
	// Agregado para ingreso de Pagos
	// procesoCalculoPagoCuota($idPrestamo);
}
//exit;


$fechaDiaAbierto = '2017-09-21';
//$idPrestamo = '2065';
foreach ($a_prestamos as $idPrestamo => $valor){
	// Agregado para ingreso de Pagos
	$a_valores = explode("||",$valor);
	$fechaVencimiento = $a_valores[0];
	$PeriodicidadPago = $a_valores[1];
	$numeroImpagos = conteoImpagosPrestamo($idPrestamo,$fechaDiaAbierto,$fechaVencimiento,$PeriodicidadPago);
	
	echo $idPrestamo." - ".$numeroImpagos."<br>";
	categorizarPrestamo($idPrestamo,$fechaDiaAbierto,$numeroImpagos);
}




//
